### Method

# Gtk Windowset_transient_for

#### Declaration [src]

    void
    gtk_window_set_transient_for (
      GtkWindow* window,
      GtkWindow* parent
    )

#### Description [src]

Dialog windows should be set transient for the main application window they were spawned from. This allows window managers to e.g. keep the dialog on top of the main window, or center the dialog over the main window. `gtk_dialog_new_with_buttons()` and other convenience functions in GTK will sometimes call `gtk_window_set_transient_for()` on your behalf.

Passing `NULL` for `parent` unsets the current transient window.

On Windows, this function puts the child window on top of the parent, much as the window manager would have done on X.

Sets property | `Gtk.Window:transient-for`

#### Parameters

`parent`

  Type: `GtkWindow`

  Parent window.

  The argument can be `NULL`.
  The data is owned by the caller of the method.